> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# intent

> GenericMDOProvider reads MDO lists with default settings

## "intent" MDO List

GenericMDOProvider reads MDO lists with default settings

Implemented by the <see cref="T:SuperOffice.CRM.Lists.GenericMDOProvider">GenericMDOProvider</see> class.
The name of the MDO list is 'intent'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/intent
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("intent", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name      | StyleHint | ExtraInfo |
| -- | --------- | --------- | --------- |
| 2  | Bad       |           |           |
| 3  | Evil      |           |           |
| 1  | Good      |           |           |
| 5  | Goodwill  |           |           |
| 6  | Marketing |           |           |
| 4  | Sale      |           |           |

## Related MDO Lists

* "intentheadings"
* "intentheadingswithallitem"
* "intentheadingswithallitemwithnoselection"
* "intentheadingswithnoselection"
* "intentwithallitem"
* "intentwithallitemwithnoselection"
* "intentwithnoselection"


## Related topics

- [Intent table](/en/database/tables/intent.md)
- [IntentHeadingLink table](/en/database/tables/intentheadinglink.md)
- [IntentGroupLink table](/en/database/tables/intentgrouplink.md)
- [SuperOffice.WebApi.Data.TaskListItem](/en/api/reference/webapi/SuperOffice.WebApi.Data.TaskListItem.md)
- [SuperOffice.WebApi.Data.DocumentTemplateEntity](/en/api/reference/webapi/SuperOffice.WebApi.Data.DocumentTemplateEntity.md)
- [Add Follow-up type](/en/diary/admin/add-follow-up-type.md)
